Package fr.gouv.vitam.worker.core.plugin.migration

# Class MigrationUnits

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler
fr.gouv.vitam.worker.core.plugin.StoreMetadataObjectActionHandler
fr.gouv.vitam.worker.core.plugin.migration.MigrationUnits

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class MigrationUnits extends StoreMetadataObjectActionHandler
MigrationUnits class

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LFC_UPDATE_MIGRATION_UNITS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MigrationUnits()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action
  `List<ItemStatus>`
  `executeList(WorkerParameters workerParameters, HandlerIO handler)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.StoreMetadataObjectActionHandler

  `getRawLogbookLifeCycleById, selectMetadataDocumentRawById`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler

  `storeObject, storeObjects, storeStorageInfos, updateSubTasksAndTasksFromStorageInfos`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LFC_UPDATE_MIGRATION_UNITS

    public static final String LFC_UPDATE_MIGRATION_UNITS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MigrationUnits

    public MigrationUnits()

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code
    Throws:
      `ProcessingException` - if an error is encountered when executing the action

  - ### executeList

    public List<ItemStatus> executeList(WorkerParameters workerParameters, HandlerIO handler) throws ProcessingException
    Overrides:
      `executeList` in class `ActionHandler`
    Parameters:
      `workerParameters` -
      `handler` -
    Returns:
    Throws:
      `ProcessingException`